Bug 224792 - Selecting multiple entries in the pre-commit dialog with some excluded only offers "include in commit" option
Selecting multiple entries in the pre-commit dialog with some excluded only o...
Status: RESOLVED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Mercurial
7.3
PC Linux
: P3 (vote)
: 7.4
Assigned To: Ondrej Vrabec
issues@versioncontrol
: PLAN
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-12 18:33 UTC by everflux
Modified: 2013-01-29 03:27 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Only one option provided when include and exclude would be sense (70.34 KB, image/png)
2013-01-12 18:33 UTC, everflux
Details

Note You need to log in before you can comment on or make changes to this bug.
Description everflux 2013-01-12 18:33:01 UTC
[ BUILD # : 201301102100 ]
[ JDK VERSION : other ]

When doing a mercurial commit and trying to only commit a subset of all changes
I excluded some files from the commit.
Then I selected multiple entries using shift-click, spanning included and
excluded items. The context menu from right-clicking only offers to include all
selected files.

Expected behaviour: Provide exclude all items and include all selected items.
Comment 1 everflux 2013-01-12 18:33:31 UTC
Created attachment 130142 [details]
Only one option provided when include and exclude would be sense
Comment 2 Ondrej Vrabec 2013-01-12 18:48:08 UTC
Not a defect, include simply has precedence before exclude. If you want to exclude all, select Include All and then Exclude All
Comment 3 everflux 2013-01-12 18:54:13 UTC
I believe this design yields a sub-perfect user experience.
Perhaps a change could be included as an enhancement when fitting schedule.
Comment 4 Ondrej Vrabec 2013-01-28 14:08:00 UTC
fix: http://hg.netbeans.org/core-main/rev/62a72acb350f
Comment 5 Quality Engineering 2013-01-29 03:27:25 UTC
Integrated into 'main-golden', will be available in build *201301290001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/62a72acb350f
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: #224792 - Selecting multiple entries in the pre-commit dialog with some excluded only offers "include in commit" option


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo